Bug 437372 - (modeset) crashes on VT switch
(modeset) crashes on VT switch
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-13 14:40 EDT by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 11:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-13 14:40:39 EDT
Description of problem:

On a VT switch back to X (when using i810 modesetting) X crashes.

Program received signal SIGSEGV, Segmentation fault.
I830EnterVT (scrnIndex=0, flags=<value optimized out>) at i830_driver.c:3436
3436		 DO_RING_IDLE();
(gdb) bt
#0  I830EnterVT (scrnIndex=0, flags=<value optimized out>) at i830_driver.c:3436
#1  0x00000000004828ee in CMapEnterVT (index=0, flags=0) at xf86cmap.c:454
#2  0x000000000048f072 in xf86XVEnterVT (index=0, flags=0) at xf86xv.c:1227
#3  0x0000000000a286df in glxDRIEnterVT (index=0, flags=0) at glxdri.c:889
#4  0x000000000047aab4 in xf86Wakeup (blockData=<value optimized out>, 
    err=<value optimized out>, pReadmask=<value optimized out>) at xf86Events.c:963
#5  0x0000000000449e8b in WakeupHandler (result=-1, pReadmask=0x7e1180) at
#6  0x00000000004e8cef in WaitForSomething (pClientsReady=0x1ff7ff0) at
#7  0x0000000000445fef in Dispatch () at dispatch.c:375
#8  0x000000000042c7bd in main (argc=8, argv=0x7fff3ab8c728, envp=<value
optimized out>)
    at main.c:441


(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x007bf000:            end of stolen memory
(II) intel(0): 0x007bf000-0x0ce10fff: DRI memory manager (203080 kB)
(II) intel(0): 0x00000000:            end of aperture
(II) intel(0): BO memory allocation layout:
(II) intel(0): 0x007bf000:            start of memory manager
(II) intel(0): 0x017bf000-0x025cefff: depth buffer (14400 kB) Y tiled
(II) intel(0): 0x025cf000-0x033defff: back buffer (14400 kB) X tiled
(II) intel(0): 0x033e0000-0x041effff: front buffer (14400 kB)
(II) intel(0): 0x041f0000-0x041fffff: exa G965 state buffer (64 kB)
(II) intel(0): 0x04200000-0x04209fff: HW cursors (40 kB)
(II) intel(0): 0x0ce11000:            end of memory manager
fb id is 145
(II) intel(0): [drm] mapped front buffer at 0x033e0000, handle = 0x10003000
(EE) intel(0): I830 Dma Resume Failed
(II) intel(0): [drm] dma control initialized, using IRQ 16
<crashes here>

Version-Release number of selected component (if applicable):

Comment 1 Charles R. Anderson 2008-04-04 11:24:14 EDT
I don't see this with:


Intel GM965 chip.

Do you still see this crash?
Comment 2 Bill Nottingham 2008-04-04 11:51:08 EDT
Seems to work now.

Note You need to log in before you can comment on or make changes to this bug.